## dune-grid-glue 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)
project(dune-grid-glue CXX)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
      "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("lib")
add_subdirectory("m4")

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== dune/grid-glue/CMakeLists.txt ===
add_subdirectory(adapter)
add_subdirectory(merging)
add_subdirectory(common)
add_subdirectory(extractors)
add_subdirectory(test EXCLUDE_FROM_ALL)
install(FILES
  gridglue.hh
  DESTINATION include/dune/grid-glue)

=== dune/grid-glue/adapter/CMakeLists.txt ===
#install headers
install(FILES
  gridglue.cc
  gridgluecommunicate.hh
  gridglue.hh
  gridgluevtkwriter.hh
  intersection.hh
  intersectionindexset.hh
  intersectioniterator.hh
  DESTINATION include/dune/grid-glue/adapter)

=== dune/grid-glue/common/CMakeLists.txt ===
#install headers
install(FILES
  multivector.hh
  projectionhelper.hh
  simplexgeometry.hh
  DESTINATION include/dune/grid-glue/common)

=== dune/grid-glue/merging/CMakeLists.txt ===
#install headers
install(FILES
  conformingmerge.hh
  contactmerge.cc
  contactmerge.hh
  merger.hh
  overlappingmerge.cc
  overlappingmerge.hh
  psurfacemerge.cc
  psurfacemerge.hh
  standardmerge.cc
  standardmerge.hh
  DESTINATION include/dune/grid-glue/merging)

dune_add_library(dunegridglue
  psurfacemerge.cc
  standardmerge.cc
  ADD_LIBS ${DUNE_LIBS})
add_dune_psurface_flags(dunegridglue)

=== dune/grid-glue/test/CMakeLists.txt ===
if(MPI_C_FOUND)
  set(MPI_PROGRAMS nonoverlappingcouplingtest_mpi)
endif(MPI_C_FOUND)

# tests where program to build and program to run are equal
set(TESTS
 callmergertwicetest
 mixeddimcouplingtest
 mixeddimoverlappingtest
 multivectortest
 nonoverlappingcouplingtest
 overlappingcouplingtest
 ${MPI_PROGRAMS})

add_executable(callmergertwicetest callmergertwicetest.cc)
add_executable(mixeddimcouplingtest mixeddimcouplingtest.cc)
add_executable(mixeddimoverlappingtest mixeddimoverlappingtest.cc)
add_executable(multivectortest multivectortest.cc)
add_executable(nonoverlappingcouplingtest nonoverlappingcouplingtest.cc)
set_property(TARGET nonoverlappingcouplingtest
  APPEND PROPERTY COMPILE_DEFINITIONS "CALL_MERGER_TWICE")
add_executable(overlappingcouplingtest overlappingcouplingtest.cc)
set_property(TARGET overlappingcouplingtest
  APPEND PROPERTY COMPILE_FLAGS "-frounding-math")

if(MPI_C_FOUND)
  add_executable(nonoverlappingcouplingtest_mpi nonoverlappingcouplingtest.cc)
  set_property(TARGET nonoverlappingcouplingtest_mpi
    APPEND PROPERTY COMPILE_F "WRITE_TO_VTK")
  add_dune_mpi_flags(nonoverlappingcouplingtest_mpi)
endif(MPI_C_FOUND)

if(UG_FOUND)
  add_executable(disconnectedtest disconnectedtest.cc)
  add_dune_ug_flags(disconnectedtest)
  list(APPEND TESTS disconnectedtest)
endif()

foreach(_exe ${TESTS})
  add_dune_psurface_flags(${_exe})
  target_link_libraries(${_exe} "dunegridglue" ${DUNE_LIBS})
  add_test(${_exe} ${_exe})
endforeach(_exe ${TESTS})

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTS})

set(SOURCES
  callmergertwicetest.cc
  communicationtest.hh
  couplingtest.hh
  mixeddimcouplingtest.cc
  mixeddimoverlappingtest.cc
  multivectortest.cc
  nonoverlappingcouplingtest.cc
  overlappingcouplingtest.cc)

=== debian/changelog ===
dune-grid-glue (2.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #756390)

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 08 Oct 2014 20:27:05 +0200

=== debian/control ===
Source: dune-grid-glue
Section: libs
Priority: optional
Standards-Version: 3.9.5
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-grid-glue.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-grid-glue.git
Homepage: http://www.dune-project.org/modules/dune-grid-glue/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-common-dev (>= 2.3.1), libdune-grid-dev (>= 2.3.1), libpsurface-dev
Build-Depends-Indep: doxygen

Package: libdune-grid-glue-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdune-grid-glue-2.3.0 (= ${binary:Version}),
 libdune-common-dev (>= 2.3.1),
 libdune-grid-dev (>= 2.3.1),
 libpsurface-dev
Suggests: libdune-grid-glue-dbg (= ${binary:Version})
Description: toolbox for solving PDEs -- compute couplings between grids (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-grid-glue provides infrastructure for the coupling of two
 unrelated DUNE grids. The coupling may be overlapping or
 nonoverlapping, conforming or nonconforming. The two grids are not
 required to be of the same type, and they may even be of different
 dimensions.
 .
 This package contains the development files.

Package: libdune-grid-glue-2.3.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: toolbox for solving PDEs -- compute couplings between grids (library)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-grid-glue provides infrastructure for the coupling of two
 unrelated DUNE grids. The coupling may be overlapping or
 nonoverlapping, conforming or nonconforming. The two grids are not
 required to be of the same type, and they may even be of different
 dimensions.
 .
 This package contains the shared library.

Package: libdune-grid-glue-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdune-grid-glue-2.3.0 (= ${binary:Version})
Description: toolbox for solving PDEs -- compute couplings between grids (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-grid-glue provides infrastructure for the coupling of two
 unrelated DUNE grids. The coupling may be overlapping or
 nonoverlapping, conforming or nonconforming. The two grids are not
 required to be of the same type, and they may even be of different
 dimensions.
 .
 This package contains detached debug symbols.

Package: libdune-grid-glue-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- compute couplings between grids (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-grid-glue provides infrastructure for the coupling of two
 unrelated DUNE grids. The coupling may be overlapping or
 nonoverlapping, conforming or nonconforming. The two grids are not
 required to be of the same type, and they may even be of different
 dimensions.
 .
 This package contains the documentation.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --parallel

override_dh_install:
	cd debian/tmp; find . -type f
	dh_install

override_dh_auto_test:
	# skip tests for now

override_dh_strip:
	dh_strip --dbg-package=libdune-grid-glue-dbg

## dune-grid-glue 2.4~20150723gd6e4c74

=== dune/grid-glue/adapter/CMakeLists.txt ===
--- 
+++ 
@@ -7,4 +7,5 @@
   intersection.hh
   intersectionindexset.hh
   intersectioniterator.hh
+  rangegenerators.hh
   DESTINATION include/dune/grid-glue/adapter)

=== dune/grid-glue/test/CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,19 @@
 # tests where program to build and program to run are equal
 set(TESTS
  callmergertwicetest
+ computecyclicordertest
+ inexactinverseprojection
  mixeddimcouplingtest
  mixeddimoverlappingtest
  multivectortest
  nonoverlappingcouplingtest
  overlappingcouplingtest
+ projectionhelpertest
  ${MPI_PROGRAMS})
 
 add_executable(callmergertwicetest callmergertwicetest.cc)
+add_executable(computecyclicordertest computecyclicordertest.cc)
+add_executable(inexactinverseprojection inexactinverseprojection.cc)
 add_executable(mixeddimcouplingtest mixeddimcouplingtest.cc)
 add_executable(mixeddimoverlappingtest mixeddimoverlappingtest.cc)
 add_executable(multivectortest multivectortest.cc)
@@ -22,6 +27,7 @@
 add_executable(overlappingcouplingtest overlappingcouplingtest.cc)
 set_property(TARGET overlappingcouplingtest
   APPEND PROPERTY COMPILE_FLAGS "-frounding-math")
+add_executable(projectionhelpertest projectionhelpertest.cc)
 
 if(MPI_C_FOUND)
   add_executable(nonoverlappingcouplingtest_mpi nonoverlappingcouplingtest.cc)

=== debian/changelog ===
dune-grid-glue (2.4~20150723gd6e4c74-2build1) wily; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Oct 2015 23:05:15 +0200

dune-grid-glue (2.4~20150723gd6e4c74-2) unstable; urgency=medium

  * Upload to unstable.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 14:23:55 +0200

dune-grid-glue (2.4~20150723gd6e4c74-1) experimental; urgency=medium

  * New upstream snapshot.
  * Move shared library into -dev package and provide a virtual package
    that changes with the upstream version for shlib dependencies. See
    also https://lists.debian.org/debian-devel/2015/07/msg00115.html
  * libdune-grid-glue-dev: Add -doc package as a suggested package.
  * Add Build-Depends-Indep: graphviz for "dot".
  * Enable tests, except for two broken ones.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 07 Sep 2015 15:23:03 +0200

## dune-grid-glue 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
 cmake_minimum_required(VERSION 2.8.6)
 project(dune-grid-glue CXX)
+
+set(DUNE_TEST_MAGIC 0)
+set(DUNE_REENABLE_ADD_TEST 1)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
       "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
@@ -20,6 +23,7 @@
 
 add_subdirectory("dune")
 add_subdirectory("doc")
+#add_subdirectory("examples")
 add_subdirectory("lib")
 add_subdirectory("m4")

=== dune/CMakeLists.txt ===
add_subdirectory(grid-glue)

=== m4/CMakeLists.txt ===

install(PROGRAMS dune-grid-glue.m4 DESTINATION share/dune/aclocal)

=== dune/grid-glue/CMakeLists.txt ===
add_subdirectory(adapter)
add_subdirectory(merging)
add_subdirectory(common)
add_subdirectory(extractors)
add_subdirectory(test)
install(FILES
  gridglue.hh
  DESTINATION include/dune/grid-glue)

=== dune/grid-glue/adapter/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #install headers
 install(FILES
   gridglue.cc
+  gridglueamirawriter.hh
   gridgluecommunicate.hh
   gridglue.hh
   gridgluevtkwriter.hh

=== dune/grid-glue/common/CMakeLists.txt ===
#install headers
install(FILES
  crossproduct.hh
  multivector.hh
  projection.hh
  projection_impl.hh
  projectionwriter.hh
  projectionwriter_impl.hh
  simplexgeometry.hh
  DESTINATION include/dune/grid-glue/common)

=== dune/grid-glue/merging/CMakeLists.txt ===
#install headers
install(FILES
  computeintersection.hh
  computeintersection.cc
  conformingmerge.hh
  contactmerge.cc
  contactmerge.hh
  merger.hh
  overlappingmerge.cc
  overlappingmerge.hh
  psurfacemerge.hh
  simplexintersection.cc
  standardmerge.hh
  DESTINATION include/dune/grid-glue/merging)

dune_add_library(dunegridglue
  standardmerge.cc
  ADD_LIBS ${DUNE_LIBS})
add_dune_psurface_flags(dunegridglue)

=== dune/grid-glue/test/CMakeLists.txt ===
if(MPI_C_FOUND)
  set(MPI_PROGRAMS nonoverlappingcouplingtest_mpi)
endif(MPI_C_FOUND)

# tests where program to build and program to run are equal
set(TESTS
 callmergertwicetest
 computecyclicordertest
 mixeddimcouplingtest
 mixeddimoverlappingtest
 mixeddimscalingtest
 multivectortest
 nonoverlappingcouplingtest
 overlappingcouplingtest
 projectiontest
 ${MPI_PROGRAMS})

add_executable(callmergertwicetest callmergertwicetest.cc)
add_executable(computecyclicordertest computecyclicordertest.cc)
add_executable(mixeddimcouplingtest mixeddimcouplingtest.cc)
add_executable(mixeddimoverlappingtest mixeddimoverlappingtest.cc)
add_executable(mixeddimscalingtest mixeddimscalingtest.cc)
add_executable(multivectortest multivectortest.cc)
add_executable(nonoverlappingcouplingtest nonoverlappingcouplingtest.cc)
set_property(TARGET nonoverlappingcouplingtest
  APPEND PROPERTY COMPILE_DEFINITIONS "CALL_MERGER_TWICE")
add_executable(overlappingcouplingtest overlappingcouplingtest.cc)
set_property(TARGET overlappingcouplingtest
  APPEND PROPERTY COMPILE_FLAGS "-frounding-math")
add_executable(projectiontest projectiontest.cc)

if(MPI_C_FOUND)
  add_executable(nonoverlappingcouplingtest_mpi nonoverlappingcouplingtest.cc)
  set_property(TARGET nonoverlappingcouplingtest_mpi
    APPEND PROPERTY COMPILE_F "WRITE_TO_VTK")
  add_dune_mpi_flags(nonoverlappingcouplingtest_mpi)
endif(MPI_C_FOUND)

if(UG_FOUND)
  add_executable(disconnectedtest disconnectedtest.cc)
  add_dune_ug_flags(disconnectedtest)
  list(APPEND TESTS disconnectedtest)
endif()

foreach(_exe ${TESTS})
  add_dune_psurface_flags(${_exe})
  target_link_libraries(${_exe} "dunegridglue" ${DUNE_LIBS})
  add_test(${_exe} ${_exe})
endforeach(_exe ${TESTS})

=== debian/changelog ===
dune-grid-glue (2.4.0-1build1) xenial; urgency=medium

  * Rebuild against the latest dune-grid-glue upload (LP: #1567322)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 07 Apr 2016 08:07:50 -0600

dune-grid-glue (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jan 2016 10:54:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-grid-glue
 Section: libs
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-grid-glue.git
@@ -9,19 +9,22 @@
 Homepage: http://www.dune-project.org/modules/dune-grid-glue/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.3.1), libdune-grid-dev (>= 2.3.1), libpsurface-dev
-Build-Depends-Indep: doxygen
+ libdune-common-dev (>= 2.4~20150912rc3),
+ libdune-grid-dev (>= 2.4~20150912rc3),
+ libpsurface-dev
+Build-Depends-Indep: doxygen, graphviz
 
 Package: libdune-grid-glue-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
- libdune-grid-glue-2.3.0 (= ${binary:Version}),
- libdune-common-dev (>= 2.3.1),
- libdune-grid-dev (>= 2.3.1),
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ libdune-common-dev (>= 2.4~20150912rc3),
+ libdune-grid-dev (>= 2.4~20150912rc3),
  libpsurface-dev
-Suggests: libdune-grid-glue-dbg (= ${binary:Version})
+Suggests: libdune-grid-glue-dbg (= ${binary:Version}),
+ libdune-grid-glue-doc (= ${source:Version})
+Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- compute couplings between grids (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
@@ -36,32 +39,13 @@
  .
  This package contains the development files.
 
-Package: libdune-grid-glue-2.3.0
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: toolbox for solving PDEs -- compute couplings between grids (library)
- DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
- for solving partial differential equations (PDEs) with grid-based methods.
- It supports the easy implementation of methods like Finite Elements (FE),
- Finite Volumes (FV), and also Finite Differences (FD).
- .
- dune-grid-glue provides infrastructure for the coupling of two
- unrelated DUNE grids. The coupling may be overlapping or
- nonoverlapping, conforming or nonconforming. The two grids are not
- required to be of the same type, and they may even be of different
- dimensions.
- .
- This package contains the shared library.
-
 Package: libdune-grid-glue-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libdune-grid-glue-2.3.0 (= ${binary:Version})
+ libdune-grid-glue-dev (= ${binary:Version})
 Description: toolbox for solving PDEs -- compute couplings between grids (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=libdune-grid-glue-dbg

## dune-grid-glue 2.5.0~20161206g666200e

=== dune/grid-glue/common/CMakeLists.txt ===
#install headers
install(FILES
  areawriter.hh
  areawriter_impl.hh
  crossproduct.hh
  multivector.hh
  projection.hh
  projection_impl.hh
  projectionwriter.hh
  projectionwriter_impl.hh
  DESTINATION include/dune/grid-glue/common)

=== dune/grid-glue/test/CMakeLists.txt ===
if(UG_PARALLEL STREQUAL "yes")
  set(HAVE_UG_PARALLEL 1)
else()
  set(HAVE_UG_PARALLEL 0)
endif()

dune_add_test(SOURCES callmergertwicetest.cc)
dune_add_test(SOURCES computecyclicordertest.cc)
dune_add_test(SOURCES disconnectedtest.cc
              CMAKE_GUARD UG_FOUND "NOT HAVE_UG_PARALLEL")
dune_add_test(SOURCES mixeddimcouplingtest.cc)
dune_add_test(SOURCES mixeddimoverlappingtest.cc)
dune_add_test(SOURCES mixeddimscalingtest.cc)
dune_add_test(SOURCES multivectortest.cc)
dune_add_test(SOURCES nonoverlappingcouplingtest.cc
              COMPILE_DEFINITIONS "CALL_MERGER_TWICE")
dune_add_test(SOURCES overlappingcouplingtest.cc
              COMPILE_DEFINITIONS "HAVE_UG_PARALLEL=${HAVE_UG_PARALLEL}"
              COMPILE_FLAGS "-frounding-math")
dune_add_test(SOURCES projectiontest.cc)

=== debian/changelog ===
dune-grid-glue (2.5.0~20161206g666200e-2) unstable; urgency=medium

  * Increase epsilon to make test pass on i386.
    + new patch: increase-epsilon.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 07 Dec 2016 22:20:27 +0100

dune-grid-glue (2.5.0~20161206g666200e-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switch to CMake.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 06 Dec 2016 19:47:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: dune-grid-glue
 Section: libs
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-grid-glue.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-grid-glue.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-grid-glue.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-grid-glue.git
 Homepage: http://www.dune-project.org/modules/dune-grid-glue/
 Build-Depends: debhelper (>= 9),
- automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4~20150912rc3),
- libdune-grid-dev (>= 2.4~20150912rc3),
- libpsurface-dev
-Build-Depends-Indep: doxygen, graphviz
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.5.0~rc2),
+ libdune-grid-dev (>= 2.5.0~rc2)
+Build-Depends-Indep: doxygen, graphviz, imagemagick
 
 Package: libdune-grid-glue-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.4~20150912rc3),
- libdune-grid-dev (>= 2.4~20150912rc3),
- libpsurface-dev
+ libdune-common-dev (>= 2.5.0~rc2),
+ libdune-grid-dev (>= 2.5.0~rc2)
 Suggests: libdune-grid-glue-dbg (= ${binary:Version}),
  libdune-grid-glue-doc (= ${source:Version})
 Provides: ${dune:shared-library}

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --parallel --builddirectory=build

override_dh_strip:
	dh_strip --dbg-package=libdune-grid-glue-dbg

## dune-grid-glue 2.5.0~20170717g2795723

=== debian/changelog ===
dune-grid-glue (2.5.0~20170717g2795723-1) unstable; urgency=medium

  * New upstream snapshot.
  * No longer build manual -dbg package. Use the automatically generated
    -dbgsym package instead.
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 15:26:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-grid-glue
 Section: libs
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-grid-glue.git
@@ -9,8 +9,8 @@
 Homepage: http://www.dune-project.org/modules/dune-grid-glue/
 Build-Depends: debhelper (>= 9),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.0~rc2),
- libdune-grid-dev (>= 2.5.0~rc2)
+ libdune-common-dev (>= 2.5.1),
+ libdune-grid-dev (>= 2.5.1)
 Build-Depends-Indep: doxygen, graphviz, imagemagick
 
 Package: libdune-grid-glue-dev
@@ -18,10 +18,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.5.0~rc2),
- libdune-grid-dev (>= 2.5.0~rc2)
-Suggests: libdune-grid-glue-dbg (= ${binary:Version}),
- libdune-grid-glue-doc (= ${source:Version})
+ libdune-common-dev (>= 2.5.1),
+ libdune-grid-dev (>= 2.5.1)
+Suggests: libdune-grid-glue-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- compute couplings between grids (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -36,27 +35,6 @@
  dimensions.
  .
  This package contains the development files.
-
-Package: libdune-grid-glue-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
- libdune-grid-glue-dev (= ${binary:Version})
-Description: toolbox for solving PDEs -- compute couplings between grids (debug symbols)
- DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
- for solving partial differential equations (PDEs) with grid-based methods.
- It supports the easy implementation of methods like Finite Elements (FE),
- Finite Volumes (FV), and also Finite Differences (FD).
- .
- dune-grid-glue provides infrastructure for the coupling of two
- unrelated DUNE grids. The coupling may be overlapping or
- nonoverlapping, conforming or nonconforming. The two grids are not
- required to be of the same type, and they may even be of different
- dimensions.
- .
- This package contains detached debug symbols.
 
 Package: libdune-grid-glue-doc
 Section: doc

## dune-grid-glue 2.5.0

=== dune/grid-glue/common/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
   areawriter.hh
   areawriter_impl.hh
   crossproduct.hh
-  multivector.hh
   projection.hh
   projection_impl.hh
   projectionwriter.hh

=== dune/grid-glue/extractors/CMakeLists.txt ===
#install headers
install(FILES
  codim0extractor.hh
  codim1extractor.hh
  extractor.hh
  extractorpredicate.hh
  vtksurfacewriter.hh
  DESTINATION include/dune/grid-glue/extractors)

=== dune/grid-glue/merging/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
   merger.hh
   overlappingmerge.cc
   overlappingmerge.hh
-  psurfacemerge.hh
   simplexintersection.cc
   standardmerge.hh
   DESTINATION include/dune/grid-glue/merging)
@@ -16,4 +15,3 @@
 dune_add_library(dunegridglue
   standardmerge.cc
   ADD_LIBS ${DUNE_LIBS})
-add_dune_psurface_flags(dunegridglue)

=== dune/grid-glue/test/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 dune_add_test(SOURCES mixeddimcouplingtest.cc)
 dune_add_test(SOURCES mixeddimoverlappingtest.cc)
 dune_add_test(SOURCES mixeddimscalingtest.cc)
-dune_add_test(SOURCES multivectortest.cc)
 dune_add_test(SOURCES nonoverlappingcouplingtest.cc
               COMPILE_DEFINITIONS "CALL_MERGER_TWICE")
 dune_add_test(SOURCES overlappingcouplingtest.cc

=== debian/changelog ===
dune-grid-glue (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for new upstream release.
  * Bumped Standards-Version to 4.1.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 29 Aug 2017 20:38:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dune-grid-glue
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-grid-glue.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-grid-glue.git
-Homepage: http://www.dune-project.org/modules/dune-grid-glue/
+Homepage: https://www.dune-project.org/modules/dune-grid-glue/
 Build-Depends: debhelper (>= 9),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
  libdune-common-dev (>= 2.5.1),

## dune-grid-glue 2.6~20180130

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,5 @@
 cmake_minimum_required(VERSION 2.8.6)
 project(dune-grid-glue CXX)
-
-set(DUNE_TEST_MAGIC 0)
-set(DUNE_REENABLE_ADD_TEST 1)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
       "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
@@ -21,11 +18,11 @@
 # start a dune project with information from dune.module
 dune_project()
 
+dune_register_package_flags(LIBRARIES dunegridglue)
+
 add_subdirectory("dune")
 add_subdirectory("doc")
-#add_subdirectory("examples")
-add_subdirectory("lib")
-add_subdirectory("m4")
+add_subdirectory("examples")
 
 # finalize the dune project, e.g. generating config.h etc.
 finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== doc/CMakeLists.txt ===
add_subdirectory("doxygen")

=== examples/CMakeLists.txt ===
add_executable(contactmerge contactmerge.cc)
target_link_dune_default_libraries(contactmerge)

=== dune/grid-glue/extractors/CMakeLists.txt ===
#install headers
install(FILES
  codim0extractor.hh
  codim1extractor.hh
  extractor.hh
  vtksurfacewriter.hh
  DESTINATION include/dune/grid-glue/extractors)

=== dune/grid-glue/test/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,10 @@
 endif()
 
 dune_add_test(SOURCES callmergertwicetest.cc)
+dune_add_test(SOURCES ringcommtest.cc
+              MPI_RANKS 1 2 3 4 5 6 7 8 9 10
+              TIMEOUT 300
+              CMAKE_GUARD MPI_FOUND)
 dune_add_test(SOURCES computecyclicordertest.cc)
 dune_add_test(SOURCES disconnectedtest.cc
               CMAKE_GUARD UG_FOUND "NOT HAVE_UG_PARALLEL")
@@ -12,6 +16,8 @@
 dune_add_test(SOURCES mixeddimoverlappingtest.cc)
 dune_add_test(SOURCES mixeddimscalingtest.cc)
 dune_add_test(SOURCES nonoverlappingcouplingtest.cc
+              MPI_RANKS 1 2 4
+              TIMEOUT 300
               COMPILE_DEFINITIONS "CALL_MERGER_TWICE")
 dune_add_test(SOURCES overlappingcouplingtest.cc
               COMPILE_DEFINITIONS "HAVE_UG_PARALLEL=${HAVE_UG_PARALLEL}"

=== debian/changelog ===
dune-grid-glue (2.6~20180130-1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:17:38 +0100

dune-grid-glue (2.6~20180130-1build2) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:30:30 +0000

dune-grid-glue (2.6~20180130-1build1) cosmic; urgency=medium

  * No-change rebuild for dune abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 May 2018 07:58:06 +0000

dune-grid-glue (2.6~20180130-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bumped Standards-Version to 4.1.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Apr 2018 10:51:19 +0200

dune-grid-glue (2.6~20171108-1) experimental; urgency=medium

  * New upstream snapshot (commit: dee66b1e106417199488c1231d5eb15b5ed4ff8b).
  * d/control: add `Rules-Requires-Root: no`
  * libdune-grid-glue-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 21 Nov 2017 11:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: dune-grid-glue
 Section: libs
 Priority: optional
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-grid-glue.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-grid-glue.git
+Vcs-Browser: https://salsa.debian.org/science-team/dune-grid-glue
+Vcs-Git: https://salsa.debian.org/science-team/dune-grid-glue.git
 Homepage: https://www.dune-project.org/modules/dune-grid-glue/
 Build-Depends: debhelper (>= 9),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.1),
- libdune-grid-dev (>= 2.5.1)
+ libdune-common-dev (>= 2.6.0),
+ libdune-grid-dev (>= 2.6.0)
 Build-Depends-Indep: doxygen, graphviz, imagemagick
+Rules-Requires-Root: no
 
 Package: libdune-grid-glue-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.5.1),
- libdune-grid-dev (>= 2.5.1)
+ libdune-common-dev (>= 2.6.0),
+ libdune-grid-dev (>= 2.6.0)
 Suggests: libdune-grid-glue-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- compute couplings between grids (development files)
@@ -41,6 +42,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Built-Using: ${dune:doc:Built-Using}
 Description: toolbox for solving PDEs -- compute couplings between grids (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

## dune-grid-glue 2.7.0

=== dune/grid-glue/merging/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
   conformingmerge.hh
   contactmerge.cc
   contactmerge.hh
+  intersectionlist.hh
   merger.hh
   overlappingmerge.cc
   overlappingmerge.hh

=== debian/changelog ===
dune-grid-glue (2.7.0-3) unstable; urgency=medium

  * Use tag that is guaranteed to be valid. (Closes: #966965)
    + new patch: 0001-use-0-as-tag-in-MPI-to-avoid-too-large-value.patch

 -- Ansgar <ansgar@debian.org>  Sat, 14 Nov 2020 12:29:58 +0100

dune-grid-glue (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:43:08 +0200

dune-grid-glue (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop obsolete patch.
    - removed patch: increase-epsilon.patch
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Wed, 10 Jun 2020 00:09:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: dune-grid-glue
 Section: libs
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
+Uploaders: Ansgar <ansgar@debian.org>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-grid-glue
 Vcs-Git: https://salsa.debian.org/science-team/dune-grid-glue.git
 Homepage: https://www.dune-project.org/modules/dune-grid-glue/
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.6.0),
- libdune-grid-dev (>= 2.6.0)
+ libdune-common-dev (>= 2.7.0),
+ libdune-grid-dev (>= 2.7.0)
 Build-Depends-Indep: doxygen, graphviz, imagemagick
 Rules-Requires-Root: no
 
@@ -19,8 +19,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.6.0),
- libdune-grid-dev (>= 2.6.0)
+ libdune-common-dev (>= 2.7.0),
+ libdune-grid-dev (>= 2.7.0)
 Suggests: libdune-grid-glue-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- compute couplings between grids (development files)

## dune-grid-glue 2.8.0

=== dune/grid-glue/test/CMakeLists.txt ===
dune_add_test(SOURCES callmergertwicetest.cc)
dune_add_test(SOURCES ringcommtest.cc
              MPI_RANKS 1 2 3 4 5 6 7 8 9 10
              TIMEOUT 300
              CMAKE_GUARD MPI_FOUND)
dune_add_test(SOURCES computecyclicordertest.cc)
dune_add_test(SOURCES disconnectedtest.cc
              CMAKE_GUARD UG_FOUND)
dune_add_test(SOURCES mixeddimcouplingtest.cc)
dune_add_test(SOURCES mixeddimoverlappingtest.cc)
dune_add_test(SOURCES mixeddimscalingtest.cc)
dune_add_test(SOURCES nonoverlappingcouplingtest.cc
              MPI_RANKS 1 2 4
              TIMEOUT 300
              COMPILE_DEFINITIONS "CALL_MERGER_TWICE")
dune_add_test(SOURCES overlappingcouplingtest.cc
              COMPILE_FLAGS "-frounding-math")
dune_add_test(SOURCES projectiontest.cc)

=== debian/changelog ===
dune-grid-glue (2.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Thu, 21 Oct 2021 21:51:11 +0200

dune-grid-glue (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Bumped Standards-Version to 4.6.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Wed, 20 Oct 2021 20:28:34 +0200

dune-grid-glue (2.8~20210831-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/patches: Removed obsolete patches

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Mon, 24 Aug 2021 12:29:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-grid-glue
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-grid-glue
@@ -9,8 +9,8 @@
 Homepage: https://www.dune-project.org/modules/dune-grid-glue/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.0),
- libdune-grid-dev (>= 2.7.0)
+ libdune-common-dev (>= 2.8.0),
+ libdune-grid-dev (>= 2.8.0)
 Build-Depends-Indep: doxygen, graphviz, imagemagick
 Rules-Requires-Root: no
 
@@ -19,8 +19,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.7.0),
- libdune-grid-dev (>= 2.7.0)
+ libdune-common-dev (>= 2.8.0),
+ libdune-grid-dev (>= 2.8.0)
 Suggests: libdune-grid-glue-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- compute couplings between grids (development files)

## dune-grid-glue 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception
+
 cmake_minimum_required(VERSION 2.8.6)
 project(dune-grid-glue CXX)

=== dune/grid-glue/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception
+
 add_subdirectory(adapter)
 add_subdirectory(merging)
 add_subdirectory(common)

=== dune/grid-glue/adapter/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception
+
 #install headers
 install(FILES
   gridglue.cc

=== dune/grid-glue/merging/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception
+
 #install headers
 install(FILES
   computeintersection.hh

=== dune/grid-glue/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception
+
 dune_add_test(SOURCES callmergertwicetest.cc)
 dune_add_test(SOURCES ringcommtest.cc
               MPI_RANKS 1 2 3 4 5 6 7 8 9 10

=== debian/changelog ===
dune-grid-glue (2.9.0-3build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:46:27 +0200

dune-grid-glue (2.9.0-3build1) lunar; urgency=medium

  * Rebuild against new dune-geometry 2.9.0-2ubuntu3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Jan 2023 10:13:13 +0100

dune-grid-glue (2.9.0-3) unstable; urgency=medium

  * Really release to unstable (no-change).

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 13 Jan 2023 14:23:40 +0100

dune-grid-glue (2.9.0-2) experimental; urgency=medium

  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)
  * Uploaded to unstable

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 23:29:17 +0100

dune-grid-glue (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/upstream: Added metadata file.
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Wed, 11 Jan 2023 18:00:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: dune-grid-glue
 Section: libs
 Priority: optional
-Standards-Version: 4.6.0
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar <ansgar@debian.org>
+Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-grid-glue
 Vcs-Git: https://salsa.debian.org/science-team/dune-grid-glue.git
 Homepage: https://www.dune-project.org/modules/dune-grid-glue/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.8.0),
- libdune-grid-dev (>= 2.8.0)
+ libdune-common-dev (>= 2.9.0),
+ libdune-grid-dev (>= 2.9.0)
 Build-Depends-Indep: doxygen, graphviz, imagemagick
 Rules-Requires-Root: no
 
@@ -19,8 +20,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.8.0),
- libdune-grid-dev (>= 2.8.0)
+ libdune-common-dev (>= 2.9.0),
+ libdune-grid-dev (>= 2.9.0)
 Suggests: libdune-grid-glue-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- compute couplings between grids (development files)

## dune-grid-glue 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception
 
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 3.13)
 project(dune-grid-glue CXX)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -28,4 +28,8 @@
 add_subdirectory("examples")
 
 # finalize the dune project, e.g. generating config.h etc.
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+if(dune-common_VERSION VERSION_GREATER_EQUAL 2.10.0)
+    finalize_dune_project()
+else()
+    finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+endif()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception

add_subdirectory("doxygen")

=== dune/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception

add_subdirectory(grid-glue)

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception

add_executable(contactmerge contactmerge.cc)
target_link_dune_default_libraries(contactmerge)

=== doc/doxygen/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception

# shortcut for creating the Doxyfile.in and Doxyfile
add_doxygen_target()

=== dune/grid-glue/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception
+
 #install headers
 install(FILES
   areawriter.hh
@@ -7,4 +10,5 @@
   projection_impl.hh
   projectionwriter.hh
   projectionwriter_impl.hh
+  ringcomm.hh
   DESTINATION include/dune/grid-glue/common)

=== dune/grid-glue/extractors/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-dune-grid-glue-exception
+
 #install headers
 install(FILES
   codim0extractor.hh

=== dune/grid-glue/merging/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,11 @@
   standardmerge.hh
   DESTINATION include/dune/grid-glue/merging)
 
-dune_add_library(dunegridglue
-  standardmerge.cc
-  ADD_LIBS ${DUNE_LIBS})
+if(dune-common_VERSION VERSION_GREATER_EQUAL 2.10.0)
+    dune_add_library(dunegridglue standardmerge.cc EXPORT_NAME GridGlue)
+    target_link_libraries(dunegridglue PUBLIC ${DUNE_LIBS})
+else()
+    dune_add_library(dunegridglue
+            standardmerge.cc
+            ADD_LIBS ${DUNE_LIBS})
+endif()

=== debian/changelog ===
dune-grid-glue (2.10.0-1) unstable; urgency=medium

  * New upstream release 2.10.0
  * d/control: Bumped standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf instead of deprecated pkg-config
  * d/control: Depend on DUNE 2.10
  * Added debian watch file
  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 22:31:44 +0100

dune-grid-glue (2.10~pre20240904-1) experimental; urgency=medium

  * New upstream release (2.10~pre20240904)
  * d/control: Bumped standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf instead of deprecated pkg-config
  * d/control: Depend on DUNE 2.10
  * Added debian watch file
  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 10:50:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: dune-grid-glue
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.7.0
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-grid-glue
 Vcs-Git: https://salsa.debian.org/science-team/dune-grid-glue.git
 Homepage: https://www.dune-project.org/modules/dune-grid-glue/
 Build-Depends: debhelper-compat (= 13),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.9.0),
- libdune-grid-dev (>= 2.9.0)
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
+ libdune-common-dev (>= 2.10~),
+ libdune-grid-dev (>= 2.10~),
+ chrpath
 Build-Depends-Indep: doxygen, graphviz, imagemagick
 Rules-Requires-Root: no
 
@@ -20,8 +20,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.9.0),
- libdune-grid-dev (>= 2.9.0)
+ libdune-common-dev (>= 2.10~),
+ libdune-grid-dev (>= 2.10~)
 Suggests: libdune-grid-glue-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- compute couplings between grids (development files)

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --builddirectory=build

override_dh_install:
	# Manual delete runpath set by openmpi 5.0.5
	# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085509
	find debian/tmp/ -name \*.so -o  -name \*.so.\* -exec chrpath -d '{}' \; || true
	find debian/tmp/ -name \*.so -o  -name \*.so.\* -exec chrpath '{}' \; || true
	dh_install

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.dune-project.org/extensions/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
